%global with_python3 0

Name:           python-flexmock
Version:        0.9.4
Release:        4%{?dist}
Summary:        Testing library that makes it easy to create mocks, stubs and fakes

License:        BSD
URL:            https://github.com/has207/flexmock
Source0:        http://pypi.python.org/packages/source/f/flexmock/flexmock-0.9.4.tar.gz
# git clone https://github.com/has207/flexmock.git && cd flexmock
# git checkout 0.9.4 && tar -czf python-flexmock-0.9.4-tests.tgz tests/
Source1:        %{name}-%{version}-tests.tgz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif


%description
Flexmock is a testing library for Python that makes it easy to create mocks,
stubs and fakes. The API is inspired by a Ruby library of the same name, but
Python flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock API, alters some defaults, and introduces
a number of Python-only features.


%if 0%{?with_python3}
%package -n python3-flexmock
Summary:        Testing library that makes it easy to create mocks, stubs and fakes

%description -n python3-flexmock
Flexmock is a testing library for Python that makes it easy to create mocks,
stubs and fakes. The API is inspired by a Ruby library of the same name, but
Python flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock API, alters some defaults, and introduces
a number of Python-only features.
%endif # with_python3


%prep
%setup -q -n flexmock-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
pushd ./build/lib
tar xzf %{SOURCE1}
PYTHONPATH="." %{__python} tests/flexmock_unittest_test.py
popd

%if 0%{?with_python3}
pushd %{py3dir}/build/lib
tar xzf %{SOURCE1}
PYTHONPATH="." %{__python3} tests/flexmock_unittest_test.py
popd
%endif

 
%files
%doc LICENSE README.md CHANGELOG
%{python_sitelib}/*
%if 0%{?with_python3}
%files -n python3-flexmock
%doc LICENSE README.md CHANGELOG
%{python3_sitelib}/*
%endif


%changelog
* Fri Sep 21 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.4-4
- Built for EL6, no Python 3 here.

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 0.9.4-3
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.4-1
- Update to flexmock 0.9.4.
- The patch is now part of upstream => remove it.
- Introduce Python 3 subpackage.
- Add documentation files, that are now part of source package.

* Tue Feb 21 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.2-1
- Initial package.
